<html>
<head>
<title>Ogre::EdgeData::Triangle Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EdgeData::Triangle Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EdgeData::Triangle" -->
<p>Basic triangle structure.  
 <a href="structOgre_1_1EdgeData_1_1Triangle.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>&gt;</code></p>

<p><a href="structOgre_1_1EdgeData_1_1Triangle-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#ac676a82255cafa821af2f4143160f2b1">Triangle</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex indexes, relative to a shared vertex buffer with.  <a href="#ac676a82255cafa821af2f4143160f2b1"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#a77b9a1e73bea6c8cdbe3197a1311ad38">indexSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.)  <a href="#a77b9a1e73bea6c8cdbe3197a1311ad38"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#a8bf63fc09c7508d4c4863168442520db">vertexSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The vertex set these vertices came from.  <a href="#a8bf63fc09c7508d4c4863168442520db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#af3610ee6a688cccc061392263bde1929">vertIndex</a> [3]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#a7d4ef75a8c204871c1829dbae25e5f7d">sharedVertIndex</a> [3]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex indexes, relative to the original buffer.  <a href="#a7d4ef75a8c204871c1829dbae25e5f7d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Basic triangle structure. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00055">55</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac676a82255cafa821af2f4143160f2b1"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::Triangle" ref="ac676a82255cafa821af2f4143160f2b1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#ac676a82255cafa821af2f4143160f2b1">Ogre::EdgeData::Triangle::Triangle</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vertex indexes, relative to a shared vertex buffer with. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00065">65</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a77b9a1e73bea6c8cdbe3197a1311ad38"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::indexSet" ref="a77b9a1e73bea6c8cdbe3197a1311ad38" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#a77b9a1e73bea6c8cdbe3197a1311ad38">Ogre::EdgeData::Triangle::indexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.) </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00058">58</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d4ef75a8c204871c1829dbae25e5f7d"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::sharedVertIndex" ref="a7d4ef75a8c204871c1829dbae25e5f7d" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#a7d4ef75a8c204871c1829dbae25e5f7d">Ogre::EdgeData::Triangle::sharedVertIndex</a>[3]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vertex indexes, relative to the original buffer. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00062">62</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8bf63fc09c7508d4c4863168442520db"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::vertexSet" ref="a8bf63fc09c7508d4c4863168442520db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#a8bf63fc09c7508d4c4863168442520db">Ogre::EdgeData::Triangle::vertexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The vertex set these vertices came from. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00060">60</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3610ee6a688cccc061392263bde1929"></a><!-- doxytag: member="Ogre::EdgeData::Triangle::vertIndex" ref="af3610ee6a688cccc061392263bde1929" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#af3610ee6a688cccc061392263bde1929">Ogre::EdgeData::Triangle::vertIndex</a>[3]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00061">61</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
